
package com.tmerclub.cloud.api.auth.constant;

/**
 * 系统类型
 * @author tmerclub
 * @date 2020/7/2
 */
public enum SysTypeEnum {

    /**
     * 普通用户系统
     */
    ORDINARY(0),

    /**
     * 商家端
     */
    MULTISHOP(1),

    /**
     * 平台端
     */
    PLATFORM(2),

    /**
     * 供应商端
     */
    SUPPLIER(3),

    /**
     * 自提门店端
     */
    STATION(4);

    private final Integer value;

    public Integer value() {
        return value;
    }

    SysTypeEnum(Integer value) {
        this.value = value;
    }

    public static SysTypeEnum instance(String value) {
        SysTypeEnum[] enums = values();
        for (SysTypeEnum statusEnum : enums) {
            if (String.valueOf(statusEnum.value()).equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }

}
